# frozen_string_literal: true

module ActivityPub
  class Routes < ::Roda
    plugin :response_request
    plugin :halt
    plugin :hash_routes
    plugin :head
    plugin :hooks
    plugin :json
    plugin :json_parser
    plugin :middleware, env_var: 'social_web.activity_pub'

    %w[
      inbox
    ].each { |route| require File.join('activity_pub', 'routes', route)}

    route { |r| r.hash_branches }
  end
end
