# frozen_string_literal: true

module ActivityPub
  Routes.hash_branch('inbox') do |r|
    r.post do
      Hooks.run(
        'activity_pub.inbox.before_post',
        Rack::Request.new(r.env)
      )

      body = r.body.read
      JSON.parse(body)

      response.status = 201
      ''
    rescue JSON::ParserError
      r.halt 400
    ensure
      Hooks.run(
        'activity_pub.inbox.after_post',
        Rack::Response.new(response.finish)
      )
    end
  end
end
